package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.TipoEventoExtraFormaPagoDAO;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtraEmpresa;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtraFormaPago;

@Repository("tipoEventoExtraFormaPagoDAO")
public class TipoEventoExtraFormaPagoHibernateDAO extends GenericHibernateDAO<TipoEventoExtraFormaPago, Integer> implements TipoEventoExtraFormaPagoDAO {
	
	@Autowired
	public TipoEventoExtraFormaPagoHibernateDAO (
			@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<TipoEventoExtraFormaPago> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());

		return c.list();
	}
	
	@Override
	public List<TipoEventoExtraFormaPago> buscarPorTipoEventoExtra(TipoEventoExtra tipoeventoextra) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq("tipoeventoextra", tipoeventoextra));
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		return c.list();
	}
	
}
